AprLifecycleListener (Tomcat API Documentation)
Keywords: org.apache.catalina.core.AprLifecycleListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class AprLifecycleListener

    java.lang.Object
      org.apache.catalina.core.AprLifecycleListener

All Implemented Interfaces:
  LifecycleListener

    public class AprLifecycleListener

extends java.lang.Object
implements LifecycleListener

Implementation of `LifecycleListener` that will init and and destroy APR.

Since:
  4.1
Version:
  $Revision: 695164 $ $Date: 2008-09-14 11:38:47 +0200 (Sun, 14 Sep 2008) $
Author:
  Remy Maucherat, Filip Hanik

Field Summary
`protected static boolean` | `aprInitialized`
`protected StringManager` | `sm` The string manager for this package.
`protected static java.lang.String` | `SSLEngine`
`protected static boolean` | `sslInitialized`
`protected static java.lang.String` | `SSLRandomSeed`
`protected static int` | `TCN_RECOMMENDED_PV`
`protected static int` | `TCN_REQUIRED_MAJOR`
`protected static int` | `TCN_REQUIRED_MINOR`
`protected static int` | `TCN_REQUIRED_PATCH`

Constructor Summary
`AprLifecycleListener()`

Method Summary
`java.lang.String` | `getSSLEngine()`
`java.lang.String` | `getSSLRandomSeed()`
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.
`void` | `setSSLEngine(java.lang.String SSLEngine)`
`void` | `setSSLRandomSeed(java.lang.String SSLRandomSeed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

### TCN_REQUIRED_MAJOR

    protected static final int TCN_REQUIRED_MAJOR

See Also:
  Constant Field Values

### TCN_REQUIRED_MINOR

    protected static final int TCN_REQUIRED_MINOR

See Also:
  Constant Field Values

### TCN_REQUIRED_PATCH

    protected static final int TCN_REQUIRED_PATCH

See Also:
  Constant Field Values

### TCN_RECOMMENDED_PV

    protected static final int TCN_RECOMMENDED_PV

See Also:
  Constant Field Values

### SSLEngine

    protected static java.lang.String SSLEngine

### SSLRandomSeed

    protected static java.lang.String SSLRandomSeed

### sslInitialized

    protected static boolean sslInitialized

### aprInitialized

    protected static boolean aprInitialized

Constructor Detail

### AprLifecycleListener

    public AprLifecycleListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

### getSSLEngine

    public java.lang.String getSSLEngine()

### setSSLEngine

    public void setSSLEngine(java.lang.String SSLEngine)

### getSSLRandomSeed

    public java.lang.String getSSLRandomSeed()

### setSSLRandomSeed

    public void setSSLRandomSeed(java.lang.String SSLRandomSeed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.